# Uses of Class
java.nio.channels.AsynchronousSocketChannel

Packages that use AsynchronousSocketChannel
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

- ## Uses of AsynchronousSocketChannel in java.nio.channels

  Methods in java.nio.channels that return AsynchronousSocketChannel
  Modifier and Type
  Method
  Description
  `abstract AsynchronousSocketChannel`
  AsynchronousSocketChannel.`bind(SocketAddress local)`
  `static AsynchronousSocketChannel`
  AsynchronousSocketChannel.`open()`
  Opens an asynchronous socket channel.
  `static AsynchronousSocketChannel`
  AsynchronousSocketChannel.`open(AsynchronousChannelGroup group)`
  Opens an asynchronous socket channel.
  `abstract <T> AsynchronousSocketChannel`
  AsynchronousSocketChannel.`setOption(SocketOption<T> name, T value)`
  `abstract AsynchronousSocketChannel`
  AsynchronousSocketChannel.`shutdownInput()`
  Shutdown the connection for reading without closing the channel.
  `abstract AsynchronousSocketChannel`
  AsynchronousSocketChannel.`shutdownOutput()`
  Shutdown the connection for writing without closing the channel.
  Methods in java.nio.channels that return types with arguments of type AsynchronousSocketChannel
  Modifier and Type
  Method
  Description
  `abstract Future<AsynchronousSocketChannel>`
  AsynchronousServerSocketChannel.`accept()`
  Accepts a connection.
  Method parameters in java.nio.channels with type arguments of type AsynchronousSocketChannel
  Modifier and Type
  Method
  Description
  `abstract <A> void`
  AsynchronousServerSocketChannel.`accept(A attachment, CompletionHandler<AsynchronousSocketChannel, ? super A> handler)`
  Accepts a connection.

- ## Uses of AsynchronousSocketChannel in java.nio.channels.spi

  Methods in java.nio.channels.spi that return AsynchronousSocketChannel
  Modifier and Type
  Method
  Description
  `abstract AsynchronousSocketChannel`
  AsynchronousChannelProvider.`openAsynchronousSocketChannel(AsynchronousChannelGroup group)`
  Opens an asynchronous socket channel.